require 'httparty'

class SiriProxy::Plugin::IPS < SiriProxy::Plugin
  attr_accessor :host

  def initialize(config = {})
    self.host = config["host"]
  end

  #capture light status
  listen_for(/licht.*wohnzimmer.*an/i) { switch_light_on }
  listen_for(/licht.*wohnzimmer.*aus/i) { switch_light_off }
 
  def switch_light_on
    
    Thread.new {
	result = HTTParty.get("http://#{self.host}/user/siri/siri.php?id=21530&state=1")
       say "Das Licht im Wohnzimmer ist an."
    request_completed #always complete your request! Otherwise the phone will "spin" at the user!
    }    
  end

  def switch_light_off
    
    Thread.new {
	result = HTTParty.get("http://#{self.host}/user/siri/siri.php?id=21530&state=0")
       say "Das Licht im Wohnzimmer ist aus."
    request_completed #always complete your request! Otherwise the phone will "spin" at the user!
    }    
  end
  
end